﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с цчеными степенями
    /// </summary>
    public class LecturerAcademicDegreeBusinessLogic : GenericBusinessLogic<LecturerAcademicDegreeGetBindingModel, LecturerAcademicDegreeSetBindingModel, LecturerAcademicDegreeListViewModel, LecturerAcademicDegreeViewModel>, ILecturerAcademicDegreeLogic
	{
		public LecturerAcademicDegreeBusinessLogic(ILecturerAcademicDegreeService service) : base(service, "Преподаватели", AccessOperation.Преподаватели) { }
	}
}