﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с приказами
    /// </summary>
    public class OrderBusinessLogic : GenericBusinessLogic<OrderGetBindingModel, OrderSetBindingModel, OrderListViewModel, OrderViewModel>, IOrderLogic
	{
		public OrderBusinessLogic(IOrderService service) : base(service, "Приказы", AccessOperation.Приказы) { }
	}
}