﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с часами нагрузок записей учебных планов
    /// </summary>
    public interface IAcademicPlanRecordTimeNormHourLogic : IGenericEntityLogic<AcademicPlanRecordTimeNormHourGetBindingModel, AcademicPlanRecordTimeNormHourSetBindingModel, AcademicPlanRecordTimeNormHourListViewModel, AcademicPlanRecordTimeNormHourViewModel> { }
}