﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с аудиториями
    /// </summary>
    public interface IClassroomLogic : IGenericEntityLogic<ClassroomGetBindingModel, ClassroomSetBindingModel, ClassroomListViewModel, ClassroomViewModel> { }
}