﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с блоками дисциплин
    /// </summary>
    public interface IDisciplineBlockLogic : IGenericEntityLogic<DisciplineBlockGetBindingModel, DisciplineBlockSetBindingModel, DisciplineBlockListViewModel, DisciplineBlockViewModel> { }
}