﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы со связями преподавателей и должностей
    /// </summary>
    public interface ILecturerPostLogic : IGenericEntityLogic<LecturerPostGetBindingModel, LecturerPostSetBindingModel, LecturerPostListViewModel, LecturerPostViewModel> { }
}