﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с нормами времени
    /// </summary>
    public interface ITimeNormLogic : IGenericEntityLogic<TimeNormGetBindingModel, TimeNormSetBindingModel, TimeNormListViewModel, TimeNormViewModel> { }
}