﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using System.Collections.Generic;
using ToolsDesktop.Controls;
using ToolsDesktop.Enums;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;
using ToolsModule.Enums;

namespace DepartmentWindowsDesktop.EntityControls
{
    public partial class ControlAcademicPlanRecordTimeNormHourList :
		GenericControlEntityList<AcademicPlanRecordTimeNormHourGetBindingModel, AcademicPlanRecordTimeNormHourSetBindingModel, AcademicPlanRecordTimeNormHourListViewModel, AcademicPlanRecordTimeNormHourViewModel, IAcademicPlanRecordTimeNormHourLogic>,
		IGenericControlEntityList
	{
		public ControlAcademicPlanRecordTimeNormHourList()
		{
			InitializeComponent();
			Title = "Часы нагрузок записи учебного плана";
			ControlId = new Guid("c23a7c9c-af28-4d59-b378-50f59678a7f7");
			AccessOperation = AccessOperation.УчебныеПланы;
			ControlViewEntityElement = new ControlAcademicPlanRecordTimeNormHourElement();
			_genericControlViewEntityList = this;
		}

		public IControl GetInstanceGenericControl() => new ControlAcademicPlanRecordTimeNormHourList() { ControlId = Guid.NewGuid() };

		public ControlViewEntityListConfiguration GetConfigControl() => new()
		{
			PaginationOn = false,
			HideToolStripButton = new List<ToolStripButtonListNames>
			{
				ToolStripButtonListNames.toolStripButtonSearch
			}
		};
	}
}