﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для аудитории
    /// </summary>
    public partial class ControlClassroomElement :
		GenericControlEntityElement<ClassroomGetBindingModel, ClassroomSetBindingModel, ClassroomListViewModel, ClassroomViewModel, IClassroomLogic>,
		IGenericControlEntityElement
	{
		public ControlClassroomElement()
		{
			InitializeComponent();
			Title = "Сотрудник";
			ControlId = new Guid("b5d7c662-ee62-4f46-b58e-e6859c69a546");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlClassroomElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}