﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для дисциплины
    /// </summary>
    public partial class ControlDisciplineElement :
		GenericControlEntityElement<DisciplineGetBindingModel, DisciplineSetBindingModel, DisciplineListViewModel, DisciplineViewModel, IDisciplineLogic>,
		IGenericControlEntityElement
	{
		public ControlDisciplineElement()
		{
			InitializeComponent();
			Title = "Дисципилна";
			ControlId = new Guid("8905d288-48c2-4bee-bf5e-2115bbccf6a7");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlDisciplineElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}