﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для сязи преподавателя и должности
    /// </summary>
    public partial class ControlLecturerPostElement :
		GenericControlEntityElement<LecturerPostGetBindingModel, LecturerPostSetBindingModel, LecturerPostListViewModel, LecturerPostViewModel, ILecturerPostLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerPostElement()
		{
			InitializeComponent();
			Title = "Связи преподавателей с должностями";
			ControlId = new Guid("88f4b4e5-68ff-4a84-9f38-dc9952cc635f");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerPostElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}