﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для приказа
    /// </summary>
    public partial class ControlOrderElement :
		GenericControlEntityElement<OrderGetBindingModel, OrderSetBindingModel, OrderListViewModel, OrderViewModel, IOrderLogic>,
		IGenericControlEntityElement
	{
		public ControlOrderElement()
		{
			InitializeComponent();
			Title = "Приказ";
			ControlId = new Guid("f4637ef8-b1f4-4980-b0ef-776496e2a5dc");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlOrderElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}