﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для должности
    /// </summary>
    public partial class ControlPostElement :
		GenericControlEntityElement<PostGetBindingModel, PostSetBindingModel, PostListViewModel, PostViewModel, IPostLogic>,
		IGenericControlEntityElement
	{
		public ControlPostElement()
		{
			InitializeComponent();
			Title = "Должность";
			ControlId = new Guid("25700525-7765-46c3-bbbf-a842f31bd898");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlPostElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}