﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для нормы времени
    /// </summary>
    public partial class ControlTimeNormElement :
		GenericControlEntityElement<TimeNormGetBindingModel, TimeNormSetBindingModel, TimeNormListViewModel, TimeNormViewModel, ITimeNormLogic>,
		IGenericControlEntityElement
	{
		public ControlTimeNormElement()
		{
			InitializeComponent();
			Title = "Норма времени";
			ControlId = new Guid("17e65fa1-e809-45fe-b21c-dbd2ecd53194");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlTimeNormElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}