﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы с дисциплинами
    /// </summary>
    public class DisciplineBusinessLogic : GenericBusinessLogic<DisciplineGetBindingModel, DisciplineSetBindingModel, DisciplineListViewModel, DisciplineViewModel>, IDisciplineLogic
	{
		public DisciplineBusinessLogic(IDisciplineService service) : base(service, "Аудитории", AccessOperation.Дисциплины) { }
	}
}