﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.Services.IGenericEntityService;
using DepartmentContract.ViewModels;
using ToolsModule.BusinessLogics;
using ToolsModule.Enums;

namespace DepartmentBusinessLogic.BusinessLogics.GenericBusinessLogic
{
    /// <summary>
    /// Логика работы со студентами
    /// </summary>
    public class StudentBusinessLogic : GenericBusinessLogic<StudentGetBindingModel, StudentSetBindingModel, StudentListViewModel, StudentViewModel>, IStudentLogic
	{
		public StudentBusinessLogic(IStudentService service) : base(service, "Студенты", AccessOperation.Студенты) { }
	}
}