﻿using CoreModels.ModelsDepartment;
using System.ComponentModel.DataAnnotations;
using ToolsModule.BindingModels;

namespace DepartmentContract.BindingModels
{
    /// <summary>
    /// Получение ученого звания преподавателя
    /// </summary>
    public class LecturerAcademicRankGetBindingModel : GetBindingModel
    {
    }

    /// <summary>
    /// Сохранение ученого звания преподавателя
    /// </summary>
    public class LecturerAcademicRankSetBindingModel : SetBindingModel, ILecturerAcademicRankModel
    {
        [Required(ErrorMessage = "required")]
        public string LecturerAcademicRankName { get; set; }

        [Required(ErrorMessage = "required")]
        public int Order { get; set; }
    }
}