﻿using DepartmentContract.BindingModels;
using DepartmentContract.ViewModels;
using ToolsModule.Interfaces;

namespace DepartmentContract.Logics.IGenericEntityLogic
{
    /// <summary>
    /// Логика работы с преподавателями
    /// </summary>
    public interface ILecturerLogic : IGenericEntityLogic<LecturerGetBindingModel, LecturerSetBindingModel, LecturerListViewModel, LecturerViewModel> { }
}