﻿using DepartmentContract.BindingModels;
using ToolsModule.Interfaces;
using ToolsModule.Models;

namespace DepartmentContract.Services.IGenericEntityService
{
    /// <summary>
    /// Хранение учебных планов
    /// </summary>
    public interface IAcademicPlanService : IGenericEntityService<AcademicPlanGetBindingModel, AcademicPlanSetBindingModel> 
	{
		/// <summary>
		/// Загрузка учебного плана
		/// </summary>
		/// <param name="model"></param>
		/// <returns></returns>
		public OperationResultModel LoadPlx(AcademicPlanLoadPlxModel model);
	}
}