﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для ученой степени
    /// </summary>
    public partial class ControlLecturerAcademicDegreeElement :
		GenericControlEntityElement<LecturerAcademicDegreeGetBindingModel, LecturerAcademicDegreeSetBindingModel, LecturerAcademicDegreeListViewModel, LecturerAcademicDegreeViewModel, ILecturerAcademicDegreeLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerAcademicDegreeElement()
		{
			InitializeComponent();
			Title = "Ученая степень";
			ControlId = new Guid("529eaea5-88d3-496c-8301-85bff3200611");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerAcademicDegreeElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}