﻿using DepartmentContract.BindingModels;
using DepartmentContract.Logics.IGenericEntityLogic;
using DepartmentContract.ViewModels;
using System;
using ToolsDesktop.Controls;
using ToolsDesktop.Interfaces;
using ToolsDesktop.Models;

namespace DepartmentWindowsDesktop.EntityControls
{
    /// <summary>
    /// Реализация контрола для ученого звания
    /// </summary>
    public partial class ControlLecturerAcademicRankElement :
		GenericControlEntityElement<LecturerAcademicRankGetBindingModel, LecturerAcademicRankSetBindingModel, LecturerAcademicRankListViewModel, LecturerAcademicRankViewModel, ILecturerAcademicRankLogic>,
		IGenericControlEntityElement
	{
		public ControlLecturerAcademicRankElement()
		{
			InitializeComponent();
			Title = "Ученое звание";
			ControlId = new Guid("6bc16291-9f06-4a67-ae66-9b723ae116c4");
			_genericControlViewEntityElement = this;
		}

		public IControl GetInstanceGenericControl() => new ControlLecturerAcademicRankElement() { ControlId = Guid.NewGuid() };

		public ControlViewEntityElementConfiguration GetConfigControl() => new();
	}
}